# ECE 105: Classical Mechanics

## Motion

Please see [SL Physics 1#2.1 - Motion](/g11/sph3u7/#21-motion) for more information.

## Kinematics

Please see [SL Physics 1#Kinematic equations](/g11/sph3u7/#kinematic-equations) for more information.

## Projectile motion

Please see [SL Physics 1#Projectile motion](/g11/sph3u7/#projectile-motion) for more information.

## Uniform circular motion

Please see [SL Physics 1#6.1 - Circular motion](/g11/sph3u7/#61-circular-motion) for more information.

## Forces

Please see [SL Physics 1#2.2 - Forces](/g11/sph3u7/#22-forces) for more information.

## Work

Please see [SL Physics 1#2.3 - Work, energy, and power](/g11/sph3u7/#23-work-energy-and-power) for more information.

## Momentum and impulse

Please see [SL Physics 1#2.4 - Momentum and impulse](/g11/sph3u7/#24-momentum-and-impulse) for more information.

The change of momentum with respect to time is equal to the average force **so long as mass is constant**.

$$\frac{dp}{dt} = \frac{mdv}{dt} + \frac{vdm}{dt}$$

Impulse is actually the change of momentum over time.

$$\vec J = \int^{p_f}_{p_i}d\vec p$$

## Centre of mass

The centre of mass $x$ of a system is equal to the average of the centre of masses of its components relative to a defined origin.

$$x_{cm} = \frac{m_1x_1 + m_2x_2 + ... + m_nx_n}{m_1 + m_2 + ... + m_n}$$

To determine the centre of mass of a system with a hole, the hole should be treated as negative mass. If the geometry of the system is **symmetrical**, the centre of mass is also symmetrical in the x and y dimensions.

For each mass, its surface density $\sigma$ is equal to:

$$
\sigma = \frac{m}{A} \\
m = \sigma A
$$

Holes have negative mass, i.e., $m = -\sigma A$.

For a **one-dimensional** hole, the linear mass density uses a similar formula:

$$
\lambda =\frac{m}{L} \\
\lambda = \frac{dm}{dx}
$$

This means that a hole in a rod can use a different formula:
$$x_{cm} = \frac{1}{M}\int^M_0 x\cdot dm$$

For a solid object, the centre of mass can be expressed as a Riemann sum and thus an integral:

$$r_{cm} = \frac{1}{M}\int_0^M r\cdot dm$$

In an **isolated system**, it is guaranteed that the centre of mass of the whole system never changes so long as only rigid bodies are involved.

## Rotational motion

### Moment of inertia

The moment of inertia of an object represents its ability to resist rotation, effectively the rotational equivalent of mass. It is equal to the sum of each point and distance from the axis of rotation.

$$I=\sum(mr)^2$$

For more complex objects where the distance often changes:

$$I=\int^M_0 R^2 dm$$

#### Common moment shapes

- Solid cylinder or disc symmetrical to axis: $I = \frac{1}{2}MR^2$
- Hoop about symmetrical axis: $I=MR^2$
- Solid sphere: $\frac{2}{5}MR^2$
- Thin spherical shell: $I=\frac{2}{3}MR^2$
- Solid cylinder about the central diameter: $I=\frac{1}{4}MR^2 + \frac{1}{12}ML^2$
- Hoop about diameter: $I=\frac{1}{2}MR^2$
- Rod about center: $I=\frac{1}{12}ML^2$
- Rod about end: $I=\frac{1}{3}ML^2$
- Thin rectangular plate about perpendicular axis through center: $I=\frac{1}{3}ML^2$

### Rotational-translational equivalence

Most translational variables have a rotational equivalent.

Although the below should be represented as cross products, this course only deals with rotation perpendicular to the axis, so the following are always true.

Angular acceleration is related to acceleration:

$$\alpha = \frac{a}{r}$$

Angular velocity is related to velocity:

$$\omega = \frac{v}{r}$$

The direction of the tangential values can be determined via the right hand rule. Where $r$ is the vector from the **origin to the mass**:

$$
\vec v = r\times\omega \\
\vec a = r\times\alpha
$$

And all kinematic equations have their rotational equivalents.

- $\theta = \frac{1}{2}(\omega_f + \omega_i)t$
- $\omega_f = \omega_i + \alpha t$
- $\theta = \omega_i t + \frac{1}{2}\alpha t^2$
- $\omega_f^2 + \omega_i^2 + 2\alpha\theta$

Most translational equations also have rotational equivalents.

$$E_\text{k rot} = \frac{1}{2}I\omega^2$$

## Torque

Torque is the rotational equivalent of force.

$$\vec\tau=I\vec\alpha$$
$$\vec\tau=\vec r\times\vec F$$
$$|\vec\tau=|r||F|\sin\theta$$

In the general case, especially when the force is variable, the work done is equal to the integral of force over displacement.

$$W=\int^{x_f}_{x_i}F_xdx$$

Work is also related to torque:

$$W=\tau\Delta\theta$$
$$W=F\Delta S$$

The total net work from torque from external forces is equivalent to:

$$W=\Delta E_k = \int^{\theta_f}_{\theta_i}\tau d\theta$$

### Angular momentum

This is the same as linear momentum.

$$\vec L = \vec r\times\vec p$$
$$\vec L = I\vec\omega$$
$$\vec L =\vec\tau t$$

## Rolling motion

!!! definition
    - **Slipping** is sliding faster than spinning.
    - **Skidding** is spinning faster than sliding.

Pure rolling motion is **only true if** the tangential velocity of the centre of mass is equal to its rotational velocity.

$$v_{cm}=R\omega$$

In pure rolling motion, the point at the top is moving at two times the velocity while the point at the bottom has no tangential velocity.

<img src="https://upload.wikimedia.org/wikipedia/commons/8/8d/Velocitats_Roda.svg" width=500>(Source: Wikimedia Commons)</img>

For any point in the mass:

$$
v_{net} = v_{trans} + v_{rot} \\
v_{net} = v_{cm} + \vec R \times\vec\omega \\
E_{k roll} = E_{k trans} + E_{k rot}
$$

Alternatively, the rolling can be considered as a rotation about the pivot point between the disk and the ground, allowing rolling motion to be represented as rotational motion around the pivot point. The **parallel axis theorem** can be used to return it back to the original point.

$$\sum\tau_b=I_b\alpha$$

At least one external torque and one external force is required to initiate pure rolling motion because the two components are separate.

If an object is purely rolling and then it moves to:

- a flat, frictionless surface, it continues purely rolling
- an inclined, frictionless surface, external torque is needed to maintain pure rolling motion
- an inclined surface with friction, it continues purely rolling

Where $c$ is the coefficient to the moment of inertia ($I=cMR^2$), while rolling down an incline:

$$
v_{cm} = \sqrt{\frac{2}{1+c}gh} \\
a_{cm} = \frac{g\sin\theta}{1+c}
$$

## Statics

An object at **static equilibrium** has no rotational or translational velocity with zero net force and torque.

An object at **dynamic equilibrium** has a constant rotational and translational velocity with zero net force and torque.

$$
\sum\vec F = 0 \\
\sum\vec\tau = 0
$$

Whether an object *stays* at static equilibrium depends on the 

- It is at **unstable equilibrium** if the object moves away and does not return to equilibrium
- It is at **stable equilibrium** if the object returns to its original position and equilibrium
- It is **neutral** if the object does not move

## Simple harmonic motion

!!! definition
    - The **amplitude** $A$ of a wave is always greater than zero and is equal to the height of the wave above the axis.
    - The **angular frequency** $\omega$ is the angular velocity, which is dependent only on the restorative force.
    - The **phase constant** $\phi$ is the offset from equilibrium at $t=0$.

Please see [SL Physics 1#Simple harmonic motion](/g11/sph3u7/#simple-harmonic-motion) for more information.

The position of any periodic motion can be represented as a sine or cosine function (adjust phase as needed).

$$x(t)=A\cos(\omega t+\phi)$$

This means that the velocity function has a phase shift of $\frac{\pi}{2}$ and the acceleration function has a phase shift of $\pi$ along with other changes.

SHM is linked to uniform circular motion:

- $\phi$ is the angle from the standard axis
- $A$ is the radius

The restorative force can be modelled by substituting in $a(t)$ into $F=ma$

$$F=-m\omega^2x(t)$$

Because restoring force is proportional to the negative position for **smaller displacements**, $F=-Cx(t)$.

Torque is also linear: $\tau=-k\theta$

!!! warning
    For small angles, $\sin\theta = \theta$.

$$\omega=\sqrt{\frac{C}{m}}$$
